FROM node:8
RUN wget https://github.com/jwilder/dockerize/releases/download/v0.6.0/dockerize-linux-amd64-v0.6.0.tar.gz \
&& tar -C /usr/local/bin -xzvf dockerize-linux-amd64-v0.6.0.tar.gz

RUN apt-get update && \
apt-get install -y locales && \
apt-get clean && \
rm -Rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

# Create user meteor who will run all entrypoint instructions
RUN useradd meteor -G staff -m -s /bin/bash && \
locale-gen en_US.UTF-8 && localedef -i en_GB -f UTF-8 en_US.UTF-8
WORKDIR /home/meteor

RUN (curl https://install.meteor.com/ | sh) && chown -Rh meteor /usr/local
USER meteor

RUN git clone https://gitlab.com/sunbiz/lh-radiology.git && cd lh-radiology/Viewers/OHIFViewer && npm install && sed -i "s/localhost/orthanc/g" ../config/orthancDICOMWeb.json
WORKDIR /home/meteor/lh-radiology/Viewers/OHIFViewer

CMD ["dockerize","-wait","tcp://orthanc:8042","-timeout","30s","/home/meteor/lh-radiology/Viewers/OHIFViewer/bin/orthancDICOMWeb.sh"]
